2021-01-26 13:02 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004091Spring engineGeneralpublic2013-11-20 19:53
Reporterabma 
Assigned ToKloot 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version94.1.1+git 
Target Version96.0Fixed in Version 
Summary0004091: function gadget:MousePress() doesn't gets called when LoadingMT = 0
Descriptionend game widget on windows works but doesn't on linux
Steps To Reproducestart ba, self-d com

click "quit"

on windows game quiets, on linux nothing happens. hover effect works, so i guess something goes wrong with the click event.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files
  • txt file icon infolog_singlethreadloading.txt (26,421 bytes) 2013-11-12 05:41 -
    [ParseCmdLine] command-line args: "D:\games\Spring\spring.exe"
    Using configuration source: "C:\Users\abma\Documents\My Games\Spring\springsettings.cfg"
    Using additional configuration source: "D:\Users\abma\Local\springsettings.cfg"
    Available log sections: KeyBindings, AutohostInterface, Net, CSMFGroundTextures, RoamMeshDrawer, BumpWater, DynWater, SkyBox, DecalsDrawerGL4, FarTextureHandler, Model, Piece, ModelDrawer, OBJParser, WorldObjectModelRenderer, Shader, Texture, Font, GroundMoveType, Path, UnitScript, CregSerializer, ArchiveScanner, VFS, Sound, LuaSocket
    Enabled log sections: Sound(LOG_LEVEL_INFO)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 95.0
    Build date/time: Nov  5 2013 05:02:50
    Build environment: boost-105300, GNU libstdc++ version 20130531
    Compiler: gcc-4.8.1
    OS: Microsoft Windows
    Microsoft Windows 7 Business Edition, 64-bit Service Pack 1 (build 7601)
    AMD Phenom(tm) II X4 945 Processor; 4061MB RAM, 4059MB pagefile
    OS: emulated 32bit mode
    [CMyMath::Init] CPU SSE mask: 888, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  0
    	SSE 4.1:  0,  SSE 4.2:  0
    	SSE 4.0A: 1,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    Supported Video modes: 1680x1050, 1600x1200, 1600x900, 1440x900, 1400x1050, 1366x768, 1360x1024, 1360x768, 1280x1024, 1280x960, 1280x800, 1280x768, 1280x720, 1152x864, 1024x768, 800x600, 720x576, 720x480, 640x480
    [SetSDLVideoMode] video mode set to 1680x1050/32bit (windowed)
    [Watchdog] Installed (HangTimeout: 10sec)
    Using read-write data directory: C:\Users\abma\Documents\My Games\Spring\
    Using read-only data directory: D:\games\Spring\
    Scanning: D:\games\Spring\base
    Scanning: D:\games\Spring\games
    Scanning: C:\Users\abma\Documents\My Games\Spring\maps
    Scanning: C:\Users\abma\Documents\My Games\Spring\games
    Scanning: C:\Users\abma\Documents\My Games\Spring\packages
    [Threading] Main thread CPU affinity not set
    [f=0000000] SDL version:  1.2.10
    [f=0000000] GL version:   4.2.11733 Compatibility Profile Context
    [f=0000000] GL vendor:    ATI Technologies Inc.
    [f=0000000] GL renderer:  ATI Radeon HD 5700 Series
    [f=0000000] GLSL version: 4.20
    [f=0000000] GLEW version: 1.5.8
    [f=0000000] Video RAM:    total 744MB, available 969MB
    [f=0000000] GL info:
    	haveARB: 1, haveGLSL: 1, ATI hacks: 1
    	FBO support: 1, NPOT-texture support: 1, 24bit Z-buffer support: 0
    	maximum texture size: 16384, compress MIP-map textures: 0
    	maximum SmoothPointSize: 63, maximum vec4 varying/attributes: 32/29
    	maximum drawbuffers: 8, maximum recommended indices/vertices: 16777215/2147483647
    	number of UniformBufferBindings: 75 (64kB)
    [f=0000000] Using VSync
    [f=0000000] Joysticks found: 0
    [f=0000000] Warning: Joystick 0 not found
    [f=0000000] [Initialize] CPU Clock: win32::TimeGetTime
    [f=0000000] [Initialize] CPU Cores: 4
    [f=0000000] [Sound] OpenAL info:
    [f=0000000] [Sound]   Available Devices:
    [f=0000000] [Sound]               DirectSound Software
    [f=0000000] [Sound]   Device:     DirectSound Software
    [f=0000000] [Sound]   Vendor:         OpenAL Community
    [f=0000000] [Sound]   Version:        1.1 ALSOFT 1.11.753
    [f=0000000] [Sound]   Renderer:       OpenAL Soft
    [f=0000000] [Sound]   AL Extensions:  AL_EXTX_buffer_sub_data AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_OFFSET AL_EXTX_sample_buffer_object AL_EXT_source_distance_model AL_LOKI_quadriphonic
    [f=0000000] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_disconnect ALC_EXT_EFX ALC_EXTX_thread_local_context
    [f=0000000] [Sound]   EFX Enabled: yes
    [f=0000000] [Sound]   Max Sounds: 128
    [f=0000000] Connecting to local server
    [f=0000000] PreGame::StartServer: 13 ms
    [f=0000000] Using map: DeltaSiegeDry
    [f=0000000] Using game: Balanced Annihilation V7.84
    [f=0000000] Using game archive: 09d1b87af38a003cf01e4b8d19c35d9c.sdp
    [f=0000000] recording demo: demos/20131112_054052_DeltaSiegeDry_95.sdf
    [f=0000000] PreGame::GameDataReceived: 29 ms
    [f=0000000] [PG::UpdateClientNet] user number 0 (team 0, allyteam 0)
    [f=0000000] Disallowing pushing enemy units
    [f=0000000] [Threading] Main thread CPU affinity not set
    [f=0000000] [LuaIntro] Searching for new Widgets
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/chili/
    [f=0000000] [LuaIntro] Found new widget "SpringLogo"
    [f=0000000] [LuaIntro] Found new widget "LoadTexture"
    [f=0000000] [LuaIntro] Found new widget "LoadProgress"
    [f=0000000] [LuaIntro] Found new widget "Main"
    [f=0000000] [LuaIntro] Found new widget "Music"
    [f=0000000] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=0000000] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=0000000] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=0000000] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=0000000] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=0000000] LoadingScreen: single-threaded
    [f=0000000] Parsing Map Information
    [f=0000000] Loading SMF
    [f=0000000] Loading Map (80 MB)
    [f=0000000] Loading Radar Icons
    [f=0000000] Loading GameData Definitions
    [f=0000000] Loading all definitions:  0.176000
    [f=0000000] Game::LoadDefs (GameData): 226 ms
    [f=0000000] Loading Sound Definitions
    [f=0000000] [Sound]  parsed 27 sounds from gamedata/sounds.lua
    [f=0000000] [Sound] Error: Unable to open audio file: IncomingChat
    [f=0000000] [Sound] Error: CSound::GetSoundId: could not find sound: IncomingChat
    [f=0000000] Game::LoadDefs (Sound): 3 ms
    [f=0000000] Creating Smooth Height Mesh
    [f=0000000] SmoothHeightMesh::MakeSmoothMesh: 80 ms
    [f=0000000] Creating QuadField & CEGs
    [f=0000000] [CDamageArrayHandler] number of ArmorDefs: 11
    [f=0000000] [RegisterAssimpModelFormats] supported Assimp model formats: *.3d;*.3ds;*.ac;*.ac3d;*.acc;*.ase;*.ask;*.b3d;*.blend;*.bvh;*.cob;*.csm;*.dae;*.dxf;*.enff;*.hmp;*.ifc;*.irr;*.irrmesh;*.lwo;*.lws;*.lxo;*.m3;*.md2;*.md3;*.md5anim;*.md5camera;*.md5mesh;*.mdc;*.mdl;*.mesh.xml;*.mot;*.ms3d;*.ndo;*.nff;*.obj;*.off;*.pk3;*.ply;*.prj;*.q3o;*.q3s;*.raw;*.scn;*.smd;*.stl;*.ter;*.uc;*.vta;*.x;*.xgl;*.xml;*.zgl;
    [f=0000000] Creating Unit Textures
    [f=0000000] Creating Sky
    [f=0000000] FBO::maxSamples: 8
    [f=0000000] Loading Weapon Definitions
    [f=0000000] Loading Unit Definitions
    [f=0000000] Loading Feature Definitions
    [f=0000000] Reading Estimate PathCosts [8]
    [f=0000000] Reading Estimate PathCosts [32]
    [f=0000000] [CPathManager] pathing data checksum: 1bcf8474
    [f=0000000] [IPathManager::GetInstance] using DEFAULT path-manager
    [f=0000000] Initializing Map Features
    [f=0000000] Error: [LoadFeaturesFromMap] unknown map feature type ""
    [f=0000000] Creating ShadowHandler & DecalHandler
    [f=0000000] Creating GroundDrawer
    [f=0000000] Loading Map Tiles
    [f=0000000] Loading Square Textures
    [f=0000000] CSMFGroundTextures::ConvolveHeightMap: 5 ms
    [f=0000000] Switching to ROAM Mesh Rendering
    [f=0000000] Creating TreeDrawer
    [f=0000000] Creating ProjectileDrawer & UnitDrawer
    [f=0000000] Creating Projectile Textures
    [f=0000000] Warning: [CCEG::Load] krogtaarblaster: Unknown tag CSimpleParticleSystem::size
    [f=0000000] Creating Water
    [f=0000000] Game::LoadInterface (Camera&Mouse): 94 ms
    [f=0000000] Game::LoadInterface (Console): 1 ms
    [f=0000000] Loading LuaRules
    [f=0000000] Loaded synced gadget:  Metalspot Finder Gadget  <mex_spot_finder.lua>
    [f=0000000] Loaded synced gadget:  Rez Exp             <unit_rez_exp.lua>
    [f=0000000] Loaded synced gadget:  ranks api           <api_ranks.lua>
    [f=0000000] Loaded synced gadget:  No Self-D           <unit_prevent_share_selfd.lua>
    [f=0000000] Loaded synced gadget:  CameraBroadcast     <camera_lockcamera.lua>
    [f=0000000] Loaded synced gadget:  Awards              <gui_awards.lua>
    [f=0000000] Loaded synced gadget:  Air Release         <unit_air_release_manager.lua>
    [f=0000000] Loaded synced gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=0000000] Loaded synced gadget:  Bomber Control      <unit_bomber_control.lua>
    [f=0000000] Loaded synced gadget:  Commando Watch      <unit_commando_watch.lua>
    [f=0000000] Loaded synced gadget:  Cursor Broadcast    <cmd_mouse_pos_broadcast.lua>
    [f=0000000] Loaded synced gadget:  DGun CmdType Fix    <unit_dgun_cmdtype_fix.lua>
    [f=0000000] Loaded synced gadget:  Death Messages      <game_death_messages.lua>
    [f=0000000] Loaded synced gadget:  DirectControl       <unit_direct_control.lua>
    [f=0000000] Loaded synced gadget:  DragonsDisguise     <unit_set_neutral.lua>
    [f=0000000] Loaded synced gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=0000000] Loaded synced gadget:  Energy Conversion   <game_energy_conversion.lua>
    [f=0000000] Loaded synced gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=0000000] Loaded synced gadget:  Game End            <game_end.lua>
    [f=0000000] Loaded synced gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=0000000] Loaded synced gadget:  Juno Damage         <unit_juno_damage.lua>
    [f=0000000] Loaded synced gadget:  Lightning Spash Damage  <unit_lightning_splash_dmg.lua>
    [f=0000000] Loaded synced gadget:  Lua unit script framework  <unit_script.lua>
    [f=0000000] Loaded synced gadget:  Maverick Exp        <unit_maverick_exp.lua>
    [f=0000000] Loaded synced gadget:  Merc/Scr stockpile control  <unit_mercscr_stockpile_limit.lua>
    [f=0000000] Loaded synced gadget:  Napalm              <lups_napalm.lua>
    [f=0000000] Loaded synced gadget:  No Land Damage      <unit_no_land_damage.lua>
    [f=0000000] Loaded synced gadget:  No Self Pwn         <unit_noselfpwn.lua>
    [f=0000000] Loaded synced gadget:  NoCost              <cmd_nocost.lua>
    [f=0000000] Loaded synced gadget:  Nonblocking mines   <unit_nonblocking_mines.lua>
    [f=0000000] Loaded synced gadget:  Paralyse Multiplier  <unit_paralyze_multiplier.lua>
    [f=0000000] Loaded synced gadget:  Passive Builders II  <unit_passive_builders_ii.lua>
    [f=0000000] Loaded synced gadget:  PopUpWaterStructures  <unit_pop_up_water_structures.lua>
    [f=0000000] Loaded synced gadget:  Prevent Excessive Share  <game_prevent_excessive_share.lua>
    [f=0000000] Loaded synced gadget:  Prevent Lab Hax     <unit_prevent_lab_hax.lua>
    [f=0000000] Loaded synced gadget:  Prevent Load Hax    <unit_prevent_load_hax.lua>
    [f=0000000] Loaded synced gadget:  Prevent Outside Aircraft hacks  <unit_prevent_aircraft_hax.lua>
    [f=0000000] Loaded synced gadget:  Prevent Range Hax   <unit_prevent_range_hax.lua>
    [f=0000000] Loaded synced gadget:  Prevent Strange Orders  <unit_prevent_strange_orders.lua>
    [f=0000000] Loaded synced gadget:  Prevent Unload Hax  <unit_prevent_unload_hax.lua>
    [f=0000000] Loaded synced gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=0000000] Loaded synced gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=0000000] Loaded synced gadget:  ShieldDrain         <unit_shield_watch.lua>
    [f=0000000] Loaded synced gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=0000000] Loaded synced gadget:  Start Point Remover Gadget  <init_start_point_remover_gadget.lua>
    [f=0000000] Loaded synced gadget:  Stealthy Passengers  <unit_stealthy_passengers.lua>
    [f=0000000] Loaded synced gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=0000000] Loaded synced gadget:  Team Resourcing     <game_team_resources.lua>
    [f=0000000] Loaded synced gadget:  Transportee Hider   <unit_transportee_hider.lua>
    [f=0000000] Loaded synced gadget:  Unit transportable nanos  <unit_transportable_nanos.lua>
    [f=0000000] Loaded synced gadget:  Watereffects        <fx_watersplash.lua>
    [f=0000000] Loaded synced gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=0000000] Loaded synced gadget:  fx_wreck_shards     <fx_wreck_shards.lua>
    [f=0000000] Loaded synced gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=0000000] Loaded synced gadget:  lups_wrapper.lua    <lups_wrapper.lua>
    [f=0000000] Loaded synced gadget:  mo_combomb_full_damage  <mo_combomb_full_damage.lua>
    [f=0000000] Loaded synced gadget:  transportfix        <unit_transportfix.lua>
    [f=0000000] Loaded synced gadget:  Area Attack         <areaattack.lua>
    [f=0000000] Loaded synced gadget:  C Is For Control    <comiscontrol.lua>
    [f=0000000] Loaded synced gadget:  CustomUnitShaders   <gfx_customunitshaders.lua>
    [f=0000000] Loaded synced gadget:  Take Manager        <cmd_idle_players.lua>
    [f=0000000] Loaded synced gadget:  Team Com Ends       <teamcomends.lua>
    [f=0000000] Loaded synced gadget:  LupsSyncedManager   <lups_manager.lua>
    [f=0000000] Loaded synced gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=0000000] Loaded synced gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=0000000] <LockCamera>: Sorry for the camera switch spam, but this is the only reliable way to list camera states other than hardcoding them
    [f=0000000] Switching to Overview style camera
    [f=0000000] Switching to Smooth style camera
    [f=0000000] Switching to Overhead (TA) style camera
    [f=0000000] Switching to Free style camera
    [f=0000000] Switching to Total War style camera
    [f=0000000] Switching to Rotatable overhead camera
    [f=0000000] Switching to Orbit style camera
    [f=0000000] Switching to FPS style camera
    [f=0000000] Switching to Smooth style camera
    [f=0000000] Loaded unsynced gadget:  Engine Taskbar Stuff  <engine_taskbar_stuff.lua>
    [f=0000000] Loaded unsynced gadget:  Metalspot Finder Gadget  <mex_spot_finder.lua>
    [f=0000000] Loaded unsynced gadget:  ranks api           <api_ranks.lua>
    [f=0000000] Loaded unsynced gadget:  CustomIcons         <unit_customicons.lua>
    [f=0000000] Loaded unsynced gadget:  CameraBroadcast     <camera_lockcamera.lua>
    [f=0000000] Loaded unsynced gadget:  Awards              <gui_awards.lua>
    [f=0000000] Loaded unsynced gadget:  Air Release         <unit_air_release_manager.lua>
    [f=0000000] Loaded unsynced gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=0000000] Loaded unsynced gadget:  Cursor Broadcast    <cmd_mouse_pos_broadcast.lua>
    [f=0000000] Loaded unsynced gadget:  DragonsDisguise     <unit_set_neutral.lua>
    [f=0000000] Loaded unsynced gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=0000000] Loaded unsynced gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=0000000] Loaded unsynced gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=0000000] Loaded unsynced gadget:  Juno Damage         <unit_juno_damage.lua>
    [f=0000000] Loaded unsynced gadget:  Merc/Scr stockpile control  <unit_mercscr_stockpile_limit.lua>
    [f=0000000] Loaded unsynced gadget:  Napalm              <lups_napalm.lua>
    [f=0000000] Loaded unsynced gadget:  NoCost              <cmd_nocost.lua>
    [f=0000000] Loaded unsynced gadget:  PopUpWaterStructures  <unit_pop_up_water_structures.lua>
    [f=0000000] Loaded unsynced gadget:  Prevent Unload Hax  <unit_prevent_unload_hax.lua>
    [f=0000000] Loaded unsynced gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=0000000] Loaded unsynced gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=0000000] Loaded unsynced gadget:  ShieldDrain         <unit_shield_watch.lua>
    [f=0000000] Loaded unsynced gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=0000000] Loaded unsynced gadget:  Start Point Remover Gadget  <init_start_point_remover_gadget.lua>
    [f=0000000] Loaded unsynced gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=0000000] Loaded unsynced gadget:  Transportee Hider   <unit_transportee_hider.lua>
    [f=0000000] Loaded unsynced gadget:  Watereffects        <fx_watersplash.lua>
    [f=0000000] Loaded unsynced gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=0000000] Loaded unsynced gadget:  fx_wreck_shards     <fx_wreck_shards.lua>
    [f=0000000] Loaded unsynced gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=0000000] Loaded unsynced gadget:  mo_enemywrecks      <mo_enemywrecks.lua>
    [f=0000000] Loaded unsynced gadget:  mo_greenfields      <mo_greenfields.lua>
    [f=0000000] Loaded unsynced gadget:  mo_noowner          <mo_noowner.lua>
    [f=0000000] Loaded unsynced gadget:  mo_noshare          <mo_noshare.lua>
    [f=0000000] Loaded unsynced gadget:  mo_nowrecks         <mo_nowrecks.lua>
    [f=0000000] Loaded unsynced gadget:  transportfix        <unit_transportfix.lua>
    [f=0000000] Loaded unsynced gadget:  Area Attack         <areaattack.lua>
    [f=0000000] Loaded unsynced gadget:  C Is For Control    <comiscontrol.lua>
    [f=0000000] Loaded unsynced gadget:  CustomUnitShaders   <gfx_customunitshaders.lua>
    [f=0000000] Loaded unsynced gadget:  Take Manager        <cmd_idle_players.lua>
    [f=0000000] Loaded unsynced gadget:  LupsSyncedManager   <lups_manager.lua>
    [f=0000000] Loaded unsynced gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=0000000] Loaded unsynced gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=0000000] Loaded unsynced gadget:  Lups                <lups_wrapper.lua>
    [f=0000000] Loading LuaGaia
    [f=0000000] Loading LuaUI
    [f=0000000] LuaSocketEnabled: yes
    [f=0000000] This game has locked LuaUI access
    [f=0000000] This game has locked LuaUI access
    [f=0000000] Using LUAUI_DIRNAME = LuaUI/
    [f=0000000] Reloaded ctrlpanel from file: LuaUI/ctrlpanel.txt
    [f=0000000] LuaUI: bound F11 to the widget selector
    [f=0000000] LuaUI: bound CTRL+F11 to tweak mode
    [f=0000000] Failed to load: unit_metal_maker.lua  (Blacklisted)
    [f=0000000] Failed to load: gui_buildspacing.lua  (duplicate name)
    [f=0000000] Failed to load: gui_selbuttons.lua  (duplicate name)
    [f=0000000] Failed to load: minimap_relative.lua  (duplicate name)
    [f=0000000] Failed to load: unit_immobile_builder.lua  (duplicate name)
    [f=0000000] Loading widget from mod:   Red_UI_Framework    <red_ui_framework.lua> ...
    [f=0000000] Loading widget from mod:   Metalspot Finder    <wg_metalspot_finder.lua> ...
    [f=0000000] Loading widget from mod:   MexUpg Helper       <cmd_mex_upgrade_helper.lua> ...
    [f=0000000] Loading widget from mod:   Red Tooltip         <gui_red_tooltip.lua> ...
    [f=0000000] Loading widget from mod:   Faction Change      <gui_faction_change.lua> ...
    [f=0000000] Loading widget from mod:   HealthBars          <unit_healthbars.lua> ...
    [f=0000000] Loading widget from mod:   LockCamera          <camera_lockcamera.lua> ...
    [f=0000000] Loading widget from mod:   AdvPlayersList      <gui_advplayerslist.lua> ...
    [f=0000000] Loading widget from mod:   BuildETA            <gui_build_eta.lua> ...
    [f=0000000] Loading widget from mod:   Projectile lights   <gfx_projectile_lights.lua> ...
    [f=0000000] Loading widget from mod:   Initial Queue       <unit_initial_queue.lua> ...
    [f=0000000] Loading widget from mod:   Anti Range          <gui_anti_range.lua> ...
    [f=0000000] Loading widget from mod:   Auto First Build Facing  <autofirstbuildfacing.lua> ...
    [f=0000000] Loading widget from mod:   Autoquit            <autoquit.lua> ...
    [f=0000000] Loading widget from mod:   BA_AllyCursors      <gui_ba_ally_cursors.lua> ...
    [f=0000000] Loading widget from mod:   Build Split         <cmd_buildsplit.lua> ...
    [f=0000000] Loading widget from mod:   BuildBar            <gui_buildbar.lua> ...
    [f=0000000] Loading widget from mod:   CameraFlip          <camera_flip.lua> ...
    [f=0000000] Loading widget from mod:   Com Counter         <gui_comcounter.lua> ...
    [f=0000000] Loading widget from mod:   DontMove            <unit_dontmove.lua> ...
    [f=0000000] Loading widget from mod:   Group Label         <gui_group_label.lua> ...
    [f=0000000] Loading widget from mod:   Highlight Geos      <gui_highlight_geos.lua> ...
    [f=0000000] Loading widget from mod:   Holdfire Fix        <unit_holdfire_fix.lua> ...
    [f=0000000] Loading widget from mod:   Load Own Moving     <unit_load_own_moving.lua> ...
    [f=0000000] Loading widget from mod:   Loop Select         <unit_loop_select.lua> ...
    [f=0000000] Loading widget from mod:   Mex Snap            <cmd_mex_snap.lua> ...
    [f=0000000] Loading widget from mod:   MoreSounds          <unit_more_sounds.lua> ...
    [f=0000000] Loading widget from mod:   Pause Screen        <gui_pausescreen.lua> ...
    [f=0000000] Loading widget from mod:   Defense Range       <gui_defenserange.lua> ...
    [f=0000000] Loading widget from mod:   Persistent Build Spacing  <gui_persistent_build_spacing.lua> ...
    [f=0000000] Loading widget from mod:   Point Tracker       <gui_point_tracker.lua> ...
    [f=0000000] Loading widget from mod:   ReclaimInfo         <gui_reclaiminfo.lua> ...
    [f=0000000] Loading widget from mod:   Red Build/Order Menu  <gui_red_buildordermenu.lua> ...
    [f=0000000] Loading widget from mod:   Red Console         <gui_red_console.lua> ...
    [f=0000000] Loading widget from mod:   Red Resource Bars   <gui_red_resourcebars.lua> ...
    [f=0000000] Loading widget from mod:   Red_Drawing         <red_ui_framework_drawing.lua> ...
    [f=0000000] Loading widget from user:  RelativeMinimap     <minimap_relative.lua> ...
    [f=0000000] Loading widget from user:  SelectionButtons    <gui_selbuttons.lua> ...
    [f=0000000] Loading widget from mod:   Share Tracker       <unit_share_tracker.lua> ...
    [f=0000000] Loading widget from mod:   SmoothCam           <camera_smoothcam.lua> ...
    [f=0000000] Loading widget from mod:   Spectate Selected   <gui_spectate_selected.lua> ...
    [f=0000000] Loading widget from mod:   State Reverse Toggle  <cmd_state_reverse_toggle.lua> ...
    [f=0000000] Loading widget from mod:   Easy Facing         <gui_easyfacing.lua> ...
    [f=0000000] Loading widget from mod:   Take Proxy          <cmd_take_proxy.lua> ...
    [f=0000000] Loading widget from mod:   Volume OSD          <snd_volume_osd.lua> ...
    [f=0000000] Loading widget from user:  ImmobileBuilder     <unit_immobile_buider.lua> ...
    [f=0000000] Loading widget from mod:   Auto group          <unit_auto_group.lua> ...
    [f=0000000] Loading widget from mod:   Com DontBreakCloak  <unit_com_dontbreakcloak.lua> ...
    [f=0000000] Loading widget from mod:   Energy Conversion Info  <gui_energy_conversion.lua> ...
    [f=0000000] Loading widget from mod:   NoDuplicateOrders   <cmd_no_duplicate_orders.lua> ...
    [f=0000000] Loading widget from mod:   Transport AI        <unit_transport_ai.lua> ...
    [f=0000000] Loading widget from mod:   GameTypeInfo        <gui_game_type_info.lua> ...
    [f=0000000] Loading widget from mod:   Ghost Radar         <unit_ghostradar.lua> ...
    [f=0000000] Loading widget from mod:   Ghost Site          <unit_ghostsite.lua> ...
    [f=0000000] Loading widget from mod:   Specific Unit Reclaimer  <unit_specific_unit_reclaimer.lua> ...
    [f=0000000] Loading widget from mod:   Stockpiler (dynamic)  <unit_stockpile_dynamic.lua> ...
    [f=0000000] Loading widget from mod:   Wait reclaim        <cmd_wait_reclaim.lua> ...
    [f=0000000] Loading widget from mod:   Attack AoE          <gui_attack_aoe.lua> ...
    [f=0000000] Loading widget from mod:   Attack and Move Notification  <unit_attackmovenotification.lua> ...
    [f=0000000] Loading widget from mod:   Building Hotkeys    <cmd_building_hotkeys.lua> ...
    [f=0000000] Loading widget from mod:   Context Build       <cmd_context_build.lua> ...
    [f=0000000] Loading widget from mod:   Prospector          <gui_prospector.lua> ...
    [f=0000000] Loading widget from mod:   Red Minimap         <gui_red_minimap.lua> ...
    [f=0000000] Loading widget from mod:   Set Target Hotkeys  <cmd_target_on_the_move_hotkeys.lua> ...
    [f=0000000] Loading widget from mod:   BA Waypoint Dragger  <unit_waypoint_dragger_2.lua> ...
    [f=0000000] Loading widget from mod:   Bomber control      <unit_bomber_control.lua> ...
    [f=0000000] Loading widget from mod:   CommandInsert       <gui_commandinsert.lua> ...
    [f=0000000] Loading widget from mod:   Rank Icons          <gui_xp.lua> ...
    [f=0000000] Loading widget from mod:   Select n Center!    <gui_center_n_select.lua> ...
    [f=0000000] Loading widget from mod:   LupsManager         <gfx_lups_manager.lua> ...
    [f=0000000] Loading widget from user:  Mouse Buildspacing  <gui_buildspacing.lua> ...
    [f=0000000] Loading widget from mod:   Lups                <lups_wrapper.lua> ...
    [f=0000000] Loading widget from mod:   CustomFormations2   <unit_customformations2.lua> ...
    [f=0000000] LuaUI v0.3
    [f=0000000] Initializing PathCache
    [f=0000000] Finalizing
    [f=0000000] Loaded DecalsDrawer: Legacy
    [f=0000000] Connection attempt from UnnamedPlayer
    [f=0000000]  -> Version: 95.0
    [f=0000000]  -> Connection established (given id 0)
    [f=0000000] Player UnnamedPlayer finished loading and is now ingame
    [f=0000000] GameID: 61b181529d7e601812f966791cdf4421
    [f=0000000] Warning: [ReturnFalse] deprecated field!
    [f=0000150] Cheating is enabled!
    [f=0000528] Warning: [ReturnFalse] deprecated field!
    [f=0000528] Warning: [ReturnFalse] deprecated field!
    [f=0000528] [GiveUnits] spawned 2 aafus unit(s) for team 0
    [f=0000587] -> Commander is being attacked!
    [f=0000591] Team 0 (UnnamedPlayer) just didn't want to live any more
    [f=0000592] <autoquit> Automatically exiting in 8 seconds. Move mouse to cancel.
    [f=0000606] <autoquit> Autoquit canceled.
    [f=0000764] Red_UI_Framework>> last processed widget was "Red Tooltip"
    [f=0000764] Red_Drawing>> last processed widget was "Red Tooltip"
    [f=0000764] [CCollisionHandler] dis-/continuous tests: 0/6386
    [f=0000764] [~CPathCache(40x20)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000764] [~CPathCache(40x20)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000764] [~CPathCache(160x80)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000764] [~CPathCache(160x80)] cacheHits=1 hitPercentage=11% numHashColls=0 maxCacheSize=5
    [f=0000764] Statistics for RectangleOptimizer: 40%
    [f=0000764] Statistics for RectangleOptimizer: 40%
    [f=0000764] Statistics for local connection:
    Received: 2833 bytes
    Sent: 9412 bytes
    
    [f=0000764] Writing demo: demos/20131112_054052_DeltaSiegeDry_95.sdf
    
    txt file icon infolog_singlethreadloading.txt (26,421 bytes) 2013-11-12 05:41 +
  • txt file icon infolog_mtloading.txt (26,812 bytes) 2013-11-12 05:43 -
    [ParseCmdLine] command-line args: "D:\games\Spring\spring.exe"
    Using configuration source: "C:\Users\abma\Documents\My Games\Spring\springsettings.cfg"
    Using additional configuration source: "D:\Users\abma\Local\springsettings.cfg"
    Available log sections: KeyBindings, AutohostInterface, Net, CSMFGroundTextures, RoamMeshDrawer, BumpWater, DynWater, SkyBox, DecalsDrawerGL4, FarTextureHandler, Model, Piece, ModelDrawer, OBJParser, WorldObjectModelRenderer, Shader, Texture, Font, GroundMoveType, Path, UnitScript, CregSerializer, ArchiveScanner, VFS, Sound, LuaSocket
    Enabled log sections: Sound(LOG_LEVEL_INFO)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 95.0
    Build date/time: Nov  5 2013 05:02:50
    Build environment: boost-105300, GNU libstdc++ version 20130531
    Compiler: gcc-4.8.1
    OS: Microsoft Windows
    Microsoft Windows 7 Business Edition, 64-bit Service Pack 1 (build 7601)
    AMD Phenom(tm) II X4 945 Processor; 4061MB RAM, 4059MB pagefile
    OS: emulated 32bit mode
    [CMyMath::Init] CPU SSE mask: 888, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  0
    	SSE 4.1:  0,  SSE 4.2:  0
    	SSE 4.0A: 1,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    Supported Video modes: 1680x1050, 1600x1200, 1600x900, 1440x900, 1400x1050, 1366x768, 1360x1024, 1360x768, 1280x1024, 1280x960, 1280x800, 1280x768, 1280x720, 1152x864, 1024x768, 800x600, 720x576, 720x480, 640x480
    [SetSDLVideoMode] video mode set to 1680x1050/32bit (windowed)
    [Watchdog] Installed (HangTimeout: 10sec)
    Using read-write data directory: C:\Users\abma\Documents\My Games\Spring\
    Using read-only data directory: D:\games\Spring\
    Scanning: D:\games\Spring\base
    Scanning: D:\games\Spring\games
    Scanning: C:\Users\abma\Documents\My Games\Spring\maps
    Scanning: C:\Users\abma\Documents\My Games\Spring\games
    Scanning: C:\Users\abma\Documents\My Games\Spring\packages
    [Threading] Main thread CPU affinity not set
    [f=0000000] SDL version:  1.2.10
    [f=0000000] GL version:   4.2.11733 Compatibility Profile Context
    [f=0000000] GL vendor:    ATI Technologies Inc.
    [f=0000000] GL renderer:  ATI Radeon HD 5700 Series
    [f=0000000] GLSL version: 4.20
    [f=0000000] GLEW version: 1.5.8
    [f=0000000] Video RAM:    total 744MB, available 969MB
    [f=0000000] GL info:
    	haveARB: 1, haveGLSL: 1, ATI hacks: 1
    	FBO support: 1, NPOT-texture support: 1, 24bit Z-buffer support: 0
    	maximum texture size: 16384, compress MIP-map textures: 0
    	maximum SmoothPointSize: 63, maximum vec4 varying/attributes: 32/29
    	maximum drawbuffers: 8, maximum recommended indices/vertices: 16777215/2147483647
    	number of UniformBufferBindings: 75 (64kB)
    [f=0000000] Using VSync
    [f=0000000] Joysticks found: 0
    [f=0000000] Warning: Joystick 0 not found
    [f=0000000] [Initialize] CPU Clock: win32::TimeGetTime
    [f=0000000] [Initialize] CPU Cores: 4
    [f=0000000] [Sound] OpenAL info:
    [f=0000000] [Sound]   Available Devices:
    [f=0000000] [Sound]               DirectSound Software
    [f=0000000] [Sound]   Device:     DirectSound Software
    [f=0000000] [Sound]   Vendor:         OpenAL Community
    [f=0000000] [Sound]   Version:        1.1 ALSOFT 1.11.753
    [f=0000000] [Sound]   Renderer:       OpenAL Soft
    [f=0000000] [Sound]   AL Extensions:  AL_EXTX_buffer_sub_data AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_OFFSET AL_EXTX_sample_buffer_object AL_EXT_source_distance_model AL_LOKI_quadriphonic
    [f=0000000] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_disconnect ALC_EXT_EFX ALC_EXTX_thread_local_context
    [f=0000000] [Sound]   EFX Enabled: yes
    [f=0000000] [Sound]   Max Sounds: 128
    [f=0000000] Connecting to local server
    [f=0000000] PreGame::StartServer: 17 ms
    [f=0000000] Using map: DeltaSiegeDry
    [f=0000000] Using game: Balanced Annihilation V7.84
    [f=0000000] Using game archive: 09d1b87af38a003cf01e4b8d19c35d9c.sdp
    [f=0000000] recording demo: demos/20131112_054328_DeltaSiegeDry_95.sdf
    [f=0000000] PreGame::GameDataReceived: 40 ms
    [f=0000000] [PG::UpdateClientNet] user number 0 (team 0, allyteam 0)
    [f=0000000] Disallowing pushing enemy units
    [f=0000000] [Threading] Main thread CPU affinity not set
    [f=0000000] [LuaIntro] Searching for new Widgets
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/chili/
    [f=0000000] [LuaIntro] Found new widget "SpringLogo"
    [f=0000000] [LuaIntro] Found new widget "LoadTexture"
    [f=0000000] [LuaIntro] Found new widget "LoadProgress"
    [f=0000000] [LuaIntro] Found new widget "Main"
    [f=0000000] [LuaIntro] Found new widget "Music"
    [f=0000000] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=0000000] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=0000000] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=0000000] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=0000000] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=0000000] Parsing Map Information
    [f=0000000] Loading SMF
    [f=0000000] Loading Map (80 MB)
    [f=0000000] Loading Radar Icons
    [f=0000000] Loading GameData Definitions
    [f=0000000] Loading all definitions:  0.635000
    [f=0000000] Game::LoadDefs (GameData): 675 ms
    [f=0000000] Loading Sound Definitions
    [f=0000000] [Sound]  parsed 27 sounds from gamedata/sounds.lua
    [f=0000000] [Sound] Error: Unable to open audio file: IncomingChat
    [f=0000000] [Sound] Error: CSound::GetSoundId: could not find sound: IncomingChat
    [f=0000000] Game::LoadDefs (Sound): 3 ms
    [f=0000000] Creating Smooth Height Mesh
    [f=0000000] SmoothHeightMesh::MakeSmoothMesh: 80 ms
    [f=0000000] Creating QuadField & CEGs
    [f=0000000] [CDamageArrayHandler] number of ArmorDefs: 11
    [f=0000000] [RegisterAssimpModelFormats] supported Assimp model formats: *.3d;*.3ds;*.ac;*.ac3d;*.acc;*.ase;*.ask;*.b3d;*.blend;*.bvh;*.cob;*.csm;*.dae;*.dxf;*.enff;*.hmp;*.ifc;*.irr;*.irrmesh;*.lwo;*.lws;*.lxo;*.m3;*.md2;*.md3;*.md5anim;*.md5camera;*.md5mesh;*.mdc;*.mdl;*.mesh.xml;*.mot;*.ms3d;*.ndo;*.nff;*.obj;*.off;*.pk3;*.ply;*.prj;*.q3o;*.q3s;*.raw;*.scn;*.smd;*.stl;*.ter;*.uc;*.vta;*.x;*.xgl;*.xml;*.zgl;
    [f=0000000] Creating Unit Textures
    [f=0000000] Creating Sky
    [f=0000000] FBO::maxSamples: 8
    [f=0000000] Loading Weapon Definitions
    [f=0000000] Loading Unit Definitions
    [f=0000000] Loading Feature Definitions
    [f=0000000] Reading Estimate PathCosts [8]
    [f=0000000] Reading Estimate PathCosts [32]
    [f=0000000] [CPathManager] pathing data checksum: 1bcf8474
    [f=0000000] [IPathManager::GetInstance] using DEFAULT path-manager
    [f=0000000] Initializing Map Features
    [f=0000000] Error: [LoadFeaturesFromMap] unknown map feature type ""
    [f=0000000] Creating ShadowHandler & DecalHandler
    [f=0000000] Creating GroundDrawer
    [f=0000000] Loading Map Tiles
    [f=0000000] Loading Square Textures
    [f=0000000] CSMFGroundTextures::ConvolveHeightMap: 18 ms
    [f=0000000] Switching to ROAM Mesh Rendering
    [f=0000000] Creating TreeDrawer
    [f=0000000] Creating ProjectileDrawer & UnitDrawer
    [f=0000000] Creating Projectile Textures
    [f=0000000] Warning: [CCEG::Load] krogtaarblaster: Unknown tag CSimpleParticleSystem::size
    [f=0000000] Creating Water
    [f=0000000] Game::LoadInterface (Camera&Mouse): 223 ms
    [f=0000000] Game::LoadInterface (Console): 1 ms
    [f=0000000] Loading LuaRules
    [f=0000000] Loaded synced gadget:  Metalspot Finder Gadget  <mex_spot_finder.lua>
    [f=0000000] Loaded synced gadget:  Rez Exp             <unit_rez_exp.lua>
    [f=0000000] Loaded synced gadget:  ranks api           <api_ranks.lua>
    [f=0000000] Loaded synced gadget:  No Self-D           <unit_prevent_share_selfd.lua>
    [f=0000000] Loaded synced gadget:  CameraBroadcast     <camera_lockcamera.lua>
    [f=0000000] Loaded synced gadget:  Awards              <gui_awards.lua>
    [f=0000000] Loaded synced gadget:  Air Release         <unit_air_release_manager.lua>
    [f=0000000] Loaded synced gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=0000000] Loaded synced gadget:  Bomber Control      <unit_bomber_control.lua>
    [f=0000000] Loaded synced gadget:  Commando Watch      <unit_commando_watch.lua>
    [f=0000000] Loaded synced gadget:  Cursor Broadcast    <cmd_mouse_pos_broadcast.lua>
    [f=0000000] Loaded synced gadget:  DGun CmdType Fix    <unit_dgun_cmdtype_fix.lua>
    [f=0000000] Loaded synced gadget:  Death Messages      <game_death_messages.lua>
    [f=0000000] Loaded synced gadget:  DirectControl       <unit_direct_control.lua>
    [f=0000000] Loaded synced gadget:  DragonsDisguise     <unit_set_neutral.lua>
    [f=0000000] Loaded synced gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=0000000] Loaded synced gadget:  Energy Conversion   <game_energy_conversion.lua>
    [f=0000000] Loaded synced gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=0000000] Loaded synced gadget:  Game End            <game_end.lua>
    [f=0000000] Loaded synced gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=0000000] Loaded synced gadget:  Juno Damage         <unit_juno_damage.lua>
    [f=0000000] Loaded synced gadget:  Lightning Spash Damage  <unit_lightning_splash_dmg.lua>
    [f=0000000] Loaded synced gadget:  Lua unit script framework  <unit_script.lua>
    [f=0000000] Loaded synced gadget:  Maverick Exp        <unit_maverick_exp.lua>
    [f=0000000] Loaded synced gadget:  Merc/Scr stockpile control  <unit_mercscr_stockpile_limit.lua>
    [f=0000000] Loaded synced gadget:  Napalm              <lups_napalm.lua>
    [f=0000000] Loaded synced gadget:  No Land Damage      <unit_no_land_damage.lua>
    [f=0000000] Loaded synced gadget:  No Self Pwn         <unit_noselfpwn.lua>
    [f=0000000] Loaded synced gadget:  NoCost              <cmd_nocost.lua>
    [f=0000000] Loaded synced gadget:  Nonblocking mines   <unit_nonblocking_mines.lua>
    [f=0000000] Loaded synced gadget:  Paralyse Multiplier  <unit_paralyze_multiplier.lua>
    [f=0000000] Loaded synced gadget:  Passive Builders II  <unit_passive_builders_ii.lua>
    [f=0000000] Loaded synced gadget:  PopUpWaterStructures  <unit_pop_up_water_structures.lua>
    [f=0000000] Loaded synced gadget:  Prevent Excessive Share  <game_prevent_excessive_share.lua>
    [f=0000000] Loaded synced gadget:  Prevent Lab Hax     <unit_prevent_lab_hax.lua>
    [f=0000000] Loaded synced gadget:  Prevent Load Hax    <unit_prevent_load_hax.lua>
    [f=0000000] Loaded synced gadget:  Prevent Outside Aircraft hacks  <unit_prevent_aircraft_hax.lua>
    [f=0000000] Loaded synced gadget:  Prevent Range Hax   <unit_prevent_range_hax.lua>
    [f=0000000] Loaded synced gadget:  Prevent Strange Orders  <unit_prevent_strange_orders.lua>
    [f=0000000] Loaded synced gadget:  Prevent Unload Hax  <unit_prevent_unload_hax.lua>
    [f=0000000] Loaded synced gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=0000000] Loaded synced gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=0000000] Loaded synced gadget:  ShieldDrain         <unit_shield_watch.lua>
    [f=0000000] Loaded synced gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=0000000] Loaded synced gadget:  Start Point Remover Gadget  <init_start_point_remover_gadget.lua>
    [f=0000000] Loaded synced gadget:  Stealthy Passengers  <unit_stealthy_passengers.lua>
    [f=0000000] Loaded synced gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=0000000] Loaded synced gadget:  Team Resourcing     <game_team_resources.lua>
    [f=0000000] Loaded synced gadget:  Transportee Hider   <unit_transportee_hider.lua>
    [f=0000000] Loaded synced gadget:  Unit transportable nanos  <unit_transportable_nanos.lua>
    [f=0000000] Loaded synced gadget:  Watereffects        <fx_watersplash.lua>
    [f=0000000] Loaded synced gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=0000000] Loaded synced gadget:  fx_wreck_shards     <fx_wreck_shards.lua>
    [f=0000000] Loaded synced gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=0000000] Loaded synced gadget:  lups_wrapper.lua    <lups_wrapper.lua>
    [f=0000000] Loaded synced gadget:  mo_combomb_full_damage  <mo_combomb_full_damage.lua>
    [f=0000000] Loaded synced gadget:  transportfix        <unit_transportfix.lua>
    [f=0000000] Loaded synced gadget:  Area Attack         <areaattack.lua>
    [f=0000000] Loaded synced gadget:  C Is For Control    <comiscontrol.lua>
    [f=0000000] Loaded synced gadget:  CustomUnitShaders   <gfx_customunitshaders.lua>
    [f=0000000] Loaded synced gadget:  Take Manager        <cmd_idle_players.lua>
    [f=0000000] Loaded synced gadget:  Team Com Ends       <teamcomends.lua>
    [f=0000000] Loaded synced gadget:  LupsSyncedManager   <lups_manager.lua>
    [f=0000000] Loaded synced gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=0000000] Loaded synced gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=0000000] <LockCamera>: Sorry for the camera switch spam, but this is the only reliable way to list camera states other than hardcoding them
    [f=0000000] Switching to Overview style camera
    [f=0000000] Switching to Smooth style camera
    [f=0000000] Switching to Overhead (TA) style camera
    [f=0000000] Switching to Free style camera
    [f=0000000] Switching to Total War style camera
    [f=0000000] Switching to Rotatable overhead camera
    [f=0000000] Switching to Orbit style camera
    [f=0000000] Switching to FPS style camera
    [f=0000000] Switching to Smooth style camera
    [f=0000000] Loaded unsynced gadget:  Engine Taskbar Stuff  <engine_taskbar_stuff.lua>
    [f=0000000] Loaded unsynced gadget:  Metalspot Finder Gadget  <mex_spot_finder.lua>
    [f=0000000] Loaded unsynced gadget:  ranks api           <api_ranks.lua>
    [f=0000000] Loaded unsynced gadget:  CustomIcons         <unit_customicons.lua>
    [f=0000000] Loaded unsynced gadget:  CameraBroadcast     <camera_lockcamera.lua>
    [f=0000000] Loaded unsynced gadget:  Awards              <gui_awards.lua>
    [f=0000000] Loaded unsynced gadget:  Air Release         <unit_air_release_manager.lua>
    [f=0000000] Loaded unsynced gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=0000000] Loaded unsynced gadget:  Cursor Broadcast    <cmd_mouse_pos_broadcast.lua>
    [f=0000000] Loaded unsynced gadget:  DragonsDisguise     <unit_set_neutral.lua>
    [f=0000000] Loaded unsynced gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=0000000] Loaded unsynced gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=0000000] Loaded unsynced gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=0000000] Loaded unsynced gadget:  Juno Damage         <unit_juno_damage.lua>
    [f=0000000] Loaded unsynced gadget:  Merc/Scr stockpile control  <unit_mercscr_stockpile_limit.lua>
    [f=0000000] Loaded unsynced gadget:  Napalm              <lups_napalm.lua>
    [f=0000000] Loaded unsynced gadget:  NoCost              <cmd_nocost.lua>
    [f=0000000] Loaded unsynced gadget:  PopUpWaterStructures  <unit_pop_up_water_structures.lua>
    [f=0000000] Loaded unsynced gadget:  Prevent Unload Hax  <unit_prevent_unload_hax.lua>
    [f=0000000] Loaded unsynced gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=0000000] Loaded unsynced gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=0000000] Loaded unsynced gadget:  ShieldDrain         <unit_shield_watch.lua>
    [f=0000000] Loaded unsynced gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=0000000] Loaded unsynced gadget:  Start Point Remover Gadget  <init_start_point_remover_gadget.lua>
    [f=0000000] Loaded unsynced gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=0000000] Loaded unsynced gadget:  Transportee Hider   <unit_transportee_hider.lua>
    [f=0000000] Loaded unsynced gadget:  Watereffects        <fx_watersplash.lua>
    [f=0000000] Loaded unsynced gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=0000000] Loaded unsynced gadget:  fx_wreck_shards     <fx_wreck_shards.lua>
    [f=0000000] Loaded unsynced gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=0000000] Loaded unsynced gadget:  mo_enemywrecks      <mo_enemywrecks.lua>
    [f=0000000] Loaded unsynced gadget:  mo_greenfields      <mo_greenfields.lua>
    [f=0000000] Loaded unsynced gadget:  mo_noowner          <mo_noowner.lua>
    [f=0000000] Loaded unsynced gadget:  mo_noshare          <mo_noshare.lua>
    [f=0000000] Loaded unsynced gadget:  mo_nowrecks         <mo_nowrecks.lua>
    [f=0000000] Loaded unsynced gadget:  transportfix        <unit_transportfix.lua>
    [f=0000000] Loaded unsynced gadget:  Area Attack         <areaattack.lua>
    [f=0000000] Loaded unsynced gadget:  C Is For Control    <comiscontrol.lua>
    [f=0000000] Loaded unsynced gadget:  CustomUnitShaders   <gfx_customunitshaders.lua>
    [f=0000000] Loaded unsynced gadget:  Take Manager        <cmd_idle_players.lua>
    [f=0000000] Loaded unsynced gadget:  LupsSyncedManager   <lups_manager.lua>
    [f=0000000] Loaded unsynced gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=0000000] Loaded unsynced gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=0000000] Loaded unsynced gadget:  Lups                <lups_wrapper.lua>
    [f=0000000] Loading LuaGaia
    [f=0000000] Loading LuaUI
    [f=0000000] LuaSocketEnabled: yes
    [f=0000000] This game has locked LuaUI access
    [f=0000000] This game has locked LuaUI access
    [f=0000000] Using LUAUI_DIRNAME = LuaUI/
    [f=0000000] Reloaded ctrlpanel from file: LuaUI/ctrlpanel.txt
    [f=0000000] LuaUI: bound F11 to the widget selector
    [f=0000000] LuaUI: bound CTRL+F11 to tweak mode
    [f=0000000] Failed to load: unit_metal_maker.lua  (Blacklisted)
    [f=0000000] Failed to load: gui_buildspacing.lua  (duplicate name)
    [f=0000000] Failed to load: gui_selbuttons.lua  (duplicate name)
    [f=0000000] Failed to load: minimap_relative.lua  (duplicate name)
    [f=0000000] Failed to load: unit_immobile_builder.lua  (duplicate name)
    [f=0000000] Loading widget from mod:   Red_UI_Framework    <red_ui_framework.lua> ...
    [f=0000000] Loading widget from mod:   Metalspot Finder    <wg_metalspot_finder.lua> ...
    [f=0000000] Loading widget from mod:   MexUpg Helper       <cmd_mex_upgrade_helper.lua> ...
    [f=0000000] Loading widget from mod:   Red Tooltip         <gui_red_tooltip.lua> ...
    [f=0000000] Loading widget from mod:   Faction Change      <gui_faction_change.lua> ...
    [f=0000000] Loading widget from mod:   HealthBars          <unit_healthbars.lua> ...
    [f=0000000] Loading widget from mod:   LockCamera          <camera_lockcamera.lua> ...
    [f=0000000] Loading widget from mod:   AdvPlayersList      <gui_advplayerslist.lua> ...
    [f=0000000] Loading widget from mod:   BuildETA            <gui_build_eta.lua> ...
    [f=0000000] Loading widget from mod:   Projectile lights   <gfx_projectile_lights.lua> ...
    [f=0000000] Loading widget from mod:   Initial Queue       <unit_initial_queue.lua> ...
    [f=0000000] Loading widget from mod:   Anti Range          <gui_anti_range.lua> ...
    [f=0000000] Loading widget from mod:   Auto First Build Facing  <autofirstbuildfacing.lua> ...
    [f=0000000] Loading widget from mod:   Autoquit            <autoquit.lua> ...
    [f=0000000] Loading widget from mod:   BA_AllyCursors      <gui_ba_ally_cursors.lua> ...
    [f=0000000] Loading widget from mod:   Build Split         <cmd_buildsplit.lua> ...
    [f=0000000] Loading widget from mod:   BuildBar            <gui_buildbar.lua> ...
    [f=0000000] Loading widget from mod:   CameraFlip          <camera_flip.lua> ...
    [f=0000000] Loading widget from mod:   Com Counter         <gui_comcounter.lua> ...
    [f=0000000] Loading widget from mod:   DontMove            <unit_dontmove.lua> ...
    [f=0000000] Loading widget from mod:   Group Label         <gui_group_label.lua> ...
    [f=0000000] Loading widget from mod:   Highlight Geos      <gui_highlight_geos.lua> ...
    [f=0000000] Loading widget from mod:   Holdfire Fix        <unit_holdfire_fix.lua> ...
    [f=0000000] Loading widget from mod:   Load Own Moving     <unit_load_own_moving.lua> ...
    [f=0000000] Loading widget from mod:   Loop Select         <unit_loop_select.lua> ...
    [f=0000000] Loading widget from mod:   Mex Snap            <cmd_mex_snap.lua> ...
    [f=0000000] Loading widget from mod:   MoreSounds          <unit_more_sounds.lua> ...
    [f=0000000] Loading widget from mod:   Pause Screen        <gui_pausescreen.lua> ...
    [f=0000000] Loading widget from mod:   Defense Range       <gui_defenserange.lua> ...
    [f=0000000] Loading widget from mod:   Persistent Build Spacing  <gui_persistent_build_spacing.lua> ...
    [f=0000000] Loading widget from mod:   Point Tracker       <gui_point_tracker.lua> ...
    [f=0000000] Loading widget from mod:   ReclaimInfo         <gui_reclaiminfo.lua> ...
    [f=0000000] Loading widget from mod:   Red Build/Order Menu  <gui_red_buildordermenu.lua> ...
    [f=0000000] Loading widget from mod:   Red Console         <gui_red_console.lua> ...
    [f=0000000] Loading widget from mod:   Red Resource Bars   <gui_red_resourcebars.lua> ...
    [f=0000000] Loading widget from mod:   Red_Drawing         <red_ui_framework_drawing.lua> ...
    [f=0000000] Loading widget from user:  RelativeMinimap     <minimap_relative.lua> ...
    [f=0000000] Loading widget from user:  SelectionButtons    <gui_selbuttons.lua> ...
    [f=0000000] Loading widget from mod:   Share Tracker       <unit_share_tracker.lua> ...
    [f=0000000] Loading widget from mod:   SmoothCam           <camera_smoothcam.lua> ...
    [f=0000000] Loading widget from mod:   Spectate Selected   <gui_spectate_selected.lua> ...
    [f=0000000] Loading widget from mod:   State Reverse Toggle  <cmd_state_reverse_toggle.lua> ...
    [f=0000000] Loading widget from mod:   Take Proxy          <cmd_take_proxy.lua> ...
    [f=0000000] Loading widget from mod:   Easy Facing         <gui_easyfacing.lua> ...
    [f=0000000] Loading widget from mod:   Volume OSD          <snd_volume_osd.lua> ...
    [f=0000000] Loading widget from user:  ImmobileBuilder     <unit_immobile_buider.lua> ...
    [f=0000000] Loading widget from mod:   Auto group          <unit_auto_group.lua> ...
    [f=0000000] Loading widget from mod:   Com DontBreakCloak  <unit_com_dontbreakcloak.lua> ...
    [f=0000000] Loading widget from mod:   Energy Conversion Info  <gui_energy_conversion.lua> ...
    [f=0000000] Loading widget from mod:   NoDuplicateOrders   <cmd_no_duplicate_orders.lua> ...
    [f=0000000] Loading widget from mod:   Transport AI        <unit_transport_ai.lua> ...
    [f=0000000] Loading widget from mod:   GameTypeInfo        <gui_game_type_info.lua> ...
    [f=0000000] Loading widget from mod:   Ghost Radar         <unit_ghostradar.lua> ...
    [f=0000000] Loading widget from mod:   Ghost Site          <unit_ghostsite.lua> ...
    [f=0000000] Loading widget from mod:   Specific Unit Reclaimer  <unit_specific_unit_reclaimer.lua> ...
    [f=0000000] Loading widget from mod:   Stockpiler (dynamic)  <unit_stockpile_dynamic.lua> ...
    [f=0000000] Loading widget from mod:   Wait reclaim        <cmd_wait_reclaim.lua> ...
    [f=0000000] Loading widget from mod:   Attack AoE          <gui_attack_aoe.lua> ...
    [f=0000000] Loading widget from mod:   Attack and Move Notification  <unit_attackmovenotification.lua> ...
    [f=0000000] Loading widget from mod:   Building Hotkeys    <cmd_building_hotkeys.lua> ...
    [f=0000000] Loading widget from mod:   Context Build       <cmd_context_build.lua> ...
    [f=0000000] Loading widget from mod:   Prospector          <gui_prospector.lua> ...
    [f=0000000] Loading widget from mod:   Red Minimap         <gui_red_minimap.lua> ...
    [f=0000000] Loading widget from mod:   Set Target Hotkeys  <cmd_target_on_the_move_hotkeys.lua> ...
    [f=0000000] Loading widget from mod:   BA Waypoint Dragger  <unit_waypoint_dragger_2.lua> ...
    [f=0000000] Loading widget from mod:   Bomber control      <unit_bomber_control.lua> ...
    [f=0000000] Loading widget from mod:   CommandInsert       <gui_commandinsert.lua> ...
    [f=0000000] Loading widget from mod:   Rank Icons          <gui_xp.lua> ...
    [f=0000000] Loading widget from mod:   Select n Center!    <gui_center_n_select.lua> ...
    [f=0000000] Loading widget from mod:   LupsManager         <gfx_lups_manager.lua> ...
    [f=0000000] Loading widget from user:  Mouse Buildspacing  <gui_buildspacing.lua> ...
    [f=0000000] Loading widget from mod:   Lups                <lups_wrapper.lua> ...
    [f=0000000] Loading widget from mod:   CustomFormations2   <unit_customformations2.lua> ...
    [f=0000000] LuaUI v0.3
    [f=0000000] Initializing PathCache
    [f=0000000] Finalizing
    [f=0000000] Loaded DecalsDrawer: Legacy
    [f=0000000] Connection attempt from UnnamedPlayer
    [f=0000000]  -> Version: 95.0
    [f=0000000]  -> Connection established (given id 0)
    [f=0000000] Player UnnamedPlayer finished loading and is now ingame
    [f=0000000] GameID: feb18152f4810a8f12f966791cdf4421
    [f=0000000] Warning: [ReturnFalse] deprecated field!
    [f=0000200] Cheating is enabled!
    [f=0000322] Warning: [ReturnFalse] deprecated field!
    [f=0000322] Warning: [ReturnFalse] deprecated field!
    [f=0000322] Warning: [ReturnFalse] deprecated field!
    [f=0000322] Warning: [ReturnFalse] deprecated field!
    [f=0000322] Warning: [ReturnFalse] deprecated field!
    [f=0000322] Warning: [ReturnFalse] deprecated field!
    [f=0000322] Warning: [ReturnFalse] deprecated field!
    [f=0000322] Warning: [ReturnFalse] deprecated field!
    [f=0000322] Warning: [ReturnFalse] deprecated field!
    [f=0000322] Warning: [ReturnFalse] deprecated field!
    [f=0000322] [GiveUnits] spawned 10 aafus unit(s) for team 0
    [f=0000388] -> Commander is being attacked!
    [f=0000388] Team 0 (UnnamedPlayer) upped it
    [f=0000389] <autoquit> Automatically exiting in 8 seconds. Move mouse to cancel.
    [f=0000414] <autoquit> Autoquit canceled.
    [f=0000451] User exited
    [f=0000453] Red_UI_Framework>> last processed widget was "Red Tooltip"
    [f=0000453] Red_Drawing>> last processed widget was "Red Tooltip"
    [f=0000453] [CCollisionHandler] dis-/continuous tests: 0/10653
    [f=0000453] [~CPathCache(40x20)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000453] [~CPathCache(40x20)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000453] [~CPathCache(160x80)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000453] [~CPathCache(160x80)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=5
    [f=0000453] Statistics for RectangleOptimizer: 89%
    [f=0000453] Statistics for RectangleOptimizer: 89%
    [f=0000453] Statistics for local connection:
    Received: 2175 bytes
    Sent: 5941 bytes
    
    [f=0000453] Writing demo: demos/20131112_054328_DeltaSiegeDry_95.sdf
    
    txt file icon infolog_mtloading.txt (26,812 bytes) 2013-11-12 05:43 +

-Relationships
parent of 0004139closedKloot Hang on Stats Windows in the end of the Game 
+Relationships

-Notes

~0011881

abma (administrator)

bug exists already in 94.1

~0011882

Kloot (developer)

it works for me

~0011883

abma (administrator)

Last edited: 2013-10-28 17:19

View 2 revisions

similar problem exists in kernel panic, when starting a mission a question is shown:

"This is the first time you run Kernel Panic Would you like me to set Spring Settings?"

hover effect works, but clicking doesn't work.

http://uptiki.altervista.org/viewer.php?file=pt1dcvhc7maswm8oh0qp.png

not sure why the "normal" menu of KP works, but this one doesn't.

~0011884

abma (administrator)

maybe ubuntu related. heard from an other (l)ubuntu user, that he had this problem as well. for me it works on windows, too.

~0011885

silentwings (reporter)

are you clicking quit from springs usual menu or from the awards gadget button?

~0011886

abma (administrator)

awards gadget

~0011887

abma (administrator)

adding an assert(false) here:
https://github.com/spring/spring/blob/develop/rts/Game/UI/MouseHandler.cpp#L336

gets triggered... shouldn't the mouseclick be handled by luaInputReceiver ?

~0011888

abma (administrator)

function gadget:MousePress(x,y,button)

doesn't gets called at all

function widget:MousePress(x,y,button)

works... ideas?!

~0011890

silentwings (reporter)

umm, for me it works and i can't see anything wrong in my code, i have heard this doesn't work for a few others too but no idea why not

you could try using the ba svn as a .sdd and edit the gadget code to find out what gets called and what isn't. the only code involved is a simple check in MousePress to see if game is over and if press was on the 'quit' button, if so it does Spring.SendCommands("quitforce")

~0011891

abma (administrator)

as written, function gadget:MousePress(x,y,button) doesn't gets called at all in the gadget.

~0011892

abma (administrator)

Last edited: 2013-10-29 20:25

View 3 revisions

@kloot:

an idea what could be the cause? is there a config setting or so which could influence this?

clicks are correctly detected, else the widget wouldn't show it, no clue why no MouseClick arrives at the gadget...

compile setting maybe?


edit: no 94.1 release build has this bug, too.

~0011898

Kloot (developer)

gadget:MousePress events are filtered by ModUICtrl (see 0003280 and 0003954 for other examples), set LuaModUICtrl=1 in springrc.

~0011900

abma (administrator)

Last edited: 2013-10-29 23:32

View 2 revisions

LuaModUICtrl=1 is/was already set...

~0011903

silentwings (reporter)

Last edited: 2013-10-30 00:56

View 3 revisions

Yeah this isn't moduictrl related - people who try and play BA without moduictrl run into much more serious problems than this (deliberately, because we have an afk-detection system that relies on moduictrl).

Quite a few people have had this issue (unfortunately never me so I can't debug it easily) and I've no idea why. Do other gadgets pick up mouse presses for you?

~0012063

abma (administrator)

i don't think so, as a lua widget gets the mouseclick event...

~0012066

jK (developer)

gadgets don't recv mouse events
open a feature request

and no there is no diff between linux & windows

~0012067

abma (administrator)

hu, why it works on windows then?

~0012068

abma (administrator)

Last edited: 2013-11-11 16:33

View 2 revisions

works on win:
http://imolarpg.dyndns.org/trac/balatest/browser/trunk/luarules/gadgets/gui_awards.lua#L514

but doesn't on linux. then the bug is, that it shouldn't work on windows.

~0012069

Kloot (developer)

Last edited: 2013-11-11 18:08

View 2 revisions

"but doesn't on linux"

yes it does (for me)

gadgets *do* get mouse events on the unsynced side...

~0012070

abma (administrator)

then it would be interesting why it doesn't work for me and some others? :-|

ideas?

~0012073

jK (developer)

Cause a widget caught the event.

~0012074

Kloot (developer)

Last edited: 2013-11-11 18:57

View 2 revisions

Add some debugging printf's to EventHandler::MousePress and LuaHandle::MousePress, then check if the latter gets called / reaches the "RunCallInUnsynced" line. Do /luaui disable to rule out a local widget consuming the event.

~0012082

abma (administrator)

Last edited: 2013-11-12 00:56

View 3 revisions

it reaches this line when trying to click quit when luaui is enabled & all widgets disabled:
https://github.com/spring/spring/blob/develop/rts/Lua/LuaHandle.cpp#L2388

also i've a debug printf in the gadget:MousePress(), so it doesn't get called at all?

what could be wrong when registering the gadget:MousePress callin?

with /luaui disable only "CEventHandler::MousePress" gets called, CLuaHandle::MousePress isn't called at all.

~0012085

Kloot (developer)

Last edited: 2013-11-12 02:33

View 2 revisions

In gadgetHandler:MousePress, check which gadgets are being iterated over with:

function gadgetHandler:MousePress(x, y, button)
  local mo = self.mouseOwner
  print("GH:MousePress: " .. #self.MousePressList .. " gadgets, owner " .. tostring(mo))
  ...
  for _,g in ipairs(self.MousePressList) do
    print('\t' .. g.ghInfo.name)
  ...

~0012087

abma (administrator)

Last edited: 2013-11-12 05:39

View 3 revisions

WTF?

LoadingMT = 0 -> doesn't work
LoadingMT = 1 -> works

can anyone reproduce this?

i can only test LoadingMT=1 on windows as LoadingMT=1 on linux crashes spring.

~0012102

cleanrock (reporter)

LoadingMT=0 for me on 95.0.1-36-gacf76ee develop & Linux breaks Quit button in BA 7.84 Awards dialog, i.e. hover works but not clicking it.

~0012103

Kloot (developer)

LoadingMT=1 used to crash (on my box) but no longer does.

For me enabling or disabling it makes no difference, MousePress events are registered normally in both cases.

~0012104

abma (administrator)

Last edited: 2013-11-13 18:34

View 2 revisions

> In gadgetHandler:MousePress, check which gadgets are being iterated over with:

none, no output at all is written.

~0012107

silentwings (reporter)

Last edited: 2013-11-13 22:05

View 2 revisions

I got [LOeT]Brenner, who also has this bug, to test it. He is a win7 user and he couldnt click the quit button LoadingMT = 0 or 1.

~0012108

abma (administrator)

@silentwings: can you reproduce it, too?

~0012113

silentwings (reporter)

Last edited: 2013-11-13 22:04

View 3 revisions

Yes, I could reproduce this when i set loadingmt=0.

~0012114

abma (administrator)

Last edited: 2013-11-13 22:44

View 2 revisions

ok, thanks. Kloot how do/did you test it?

~0012122

Kloot (developer)

1) set loadingMT=0 in .springrc
2) pick any recent (short) BA demo from replays.admin-box.com
3) watch to end until award-gadget screen comes up, click quit
4) repeat from 1) but with loadingMT=1

~0012123

abma (administrator)

case is wrong: "loadingMT"

please try this then:

start spring, edit settings -> set LoadingMT = 0

quit spring
start spring, select BA 7.84
select commanders only & some small map
"test game"

self-destroy commander -> award screen will open.

~0012125

Kloot (developer)

actually I already used the correct case in springrc ("LoadingMT" with capital L as LoadScreen.cpp expects)

with that test I can reproduce it, LoadingMT=0 fails while LoadingMT=1 works

~0012129

Kloot (developer)

Last edited: 2013-11-14 03:51

View 2 revisions

with LoadingMT=0, LuaRules for some reason is *not* added as a client to EventHandler::listMousePress --> LuaHandle::WantsEvent returns false --> LuaHandleSynced::HasCallIn returns false

adding

  SetupUnsyncedFunction(L, "MousePress")

to the "if (!SetupUnsyncedFunction(...) || ...) { KillLua() ... }" chain in LuaHandleSynced::Init fixes it but I am pretty sure that should *not* be necessary since the fact LoadingMT=1 does work suggests an initialisation order issue

cba to investigate further atm

~0012177

zwzsg (reporter)

> not sure why the "normal" menu of KP works, but this one doesn't.

- Normal menu is a widget
- What you saw is the gadget menu

Because a long time ago, LuaUI was off by default, so I made a gadget to switch LuaUI on, and asking the user first to be more polite.

And yes, it fails when LoadingMT = 0
It makes a very annoying button that you can't click!

As I posted on http://springrts.com/phpbb/viewtopic.php?f=11&t=30338
On forum and not on mantis because it wasn't clear if it was an engine bug initially.
+Notes

-Issue History
Date Modified Username Field Change
2013-10-28 17:11 abma New Issue
2013-10-28 17:11 abma Note Added: 0011881
2013-10-28 17:15 abma Steps to Reproduce Updated View Revisions
2013-10-28 17:18 Kloot Note Added: 0011882
2013-10-28 17:18 abma Note Added: 0011883
2013-10-28 17:19 abma Note Edited: 0011883 View Revisions
2013-10-28 19:26 abma Note Added: 0011884
2013-10-28 19:26 abma Assigned To => abma
2013-10-28 19:26 abma Status new => feedback
2013-10-28 19:31 silentwings Note Added: 0011885
2013-10-28 19:31 abma Note Added: 0011886
2013-10-28 19:31 abma Status feedback => assigned
2013-10-28 19:37 abma Note Added: 0011887
2013-10-28 20:20 abma Note Added: 0011888
2013-10-28 21:27 silentwings Note Added: 0011890
2013-10-28 21:28 abma Note Added: 0011891
2013-10-28 21:28 abma Assigned To abma =>
2013-10-28 21:28 abma Status assigned => new
2013-10-29 00:45 abma Summary mouse click/events on windows / linux seems to differ => function gadget:MousePress() doesn't gets called on linux (ubuntu?!)
2013-10-29 19:51 abma Note Added: 0011892
2013-10-29 19:51 abma Status new => feedback
2013-10-29 19:52 abma Note Edited: 0011892 View Revisions
2013-10-29 20:25 abma Note Edited: 0011892 View Revisions
2013-10-29 21:51 Kloot Note Added: 0011898
2013-10-29 23:32 abma Note Added: 0011900
2013-10-29 23:32 abma Status feedback => new
2013-10-29 23:32 abma Note Edited: 0011900 View Revisions
2013-10-30 00:45 silentwings Note Added: 0011903
2013-10-30 00:49 silentwings Note Edited: 0011903 View Revisions
2013-10-30 00:56 silentwings Note Edited: 0011903 View Revisions
2013-11-11 15:59 abma Note Added: 0012063
2013-11-11 16:14 jK Note Added: 0012066
2013-11-11 16:14 jK Status new => closed
2013-11-11 16:14 jK Assigned To => jK
2013-11-11 16:14 jK Resolution open => no change required
2013-11-11 16:31 abma Note Added: 0012067
2013-11-11 16:33 abma Note Added: 0012068
2013-11-11 16:33 abma Assigned To jK =>
2013-11-11 16:33 abma Status closed => new
2013-11-11 16:33 abma Note Edited: 0012068 View Revisions
2013-11-11 18:07 Kloot Note Added: 0012069
2013-11-11 18:08 Kloot Note Edited: 0012069 View Revisions
2013-11-11 18:17 abma Note Added: 0012070
2013-11-11 18:53 jK Note Added: 0012073
2013-11-11 18:55 Kloot Note Added: 0012074
2013-11-11 18:57 Kloot Note Edited: 0012074 View Revisions
2013-11-12 00:56 abma Note Added: 0012082
2013-11-12 00:56 abma Note Edited: 0012082 View Revisions
2013-11-12 00:56 abma Note Edited: 0012082 View Revisions
2013-11-12 02:24 Kloot Note Added: 0012085
2013-11-12 02:33 Kloot Note Edited: 0012085 View Revisions
2013-11-12 05:34 abma Note Added: 0012087
2013-11-12 05:34 abma Note Edited: 0012087 View Revisions
2013-11-12 05:37 abma Target Version => 96.0
2013-11-12 05:38 abma Summary function gadget:MousePress() doesn't gets called on linux (ubuntu?!) => function gadget:MousePress() doesn't gets called when LoadingMT = 0
2013-11-12 05:39 abma Note Edited: 0012087 View Revisions
2013-11-12 05:41 abma File Added: infolog_singlethreadloading.txt
2013-11-12 05:43 abma File Added: infolog_mtloading.txt
2013-11-13 17:31 cleanrock Note Added: 0012102
2013-11-13 17:45 Kloot Note Added: 0012103
2013-11-13 17:49 abma Note Added: 0012104
2013-11-13 18:27 silentwings Note Added: 0012107
2013-11-13 18:34 abma Note Edited: 0012104 View Revisions
2013-11-13 18:34 abma Note Added: 0012108
2013-11-13 21:49 silentwings Note Added: 0012113
2013-11-13 21:50 silentwings Note Edited: 0012113 View Revisions
2013-11-13 22:04 silentwings Note Edited: 0012113 View Revisions
2013-11-13 22:05 silentwings Note Edited: 0012107 View Revisions
2013-11-13 22:05 abma Note Added: 0012114
2013-11-13 22:39 abma Assigned To => abma
2013-11-13 22:39 abma Status new => feedback
2013-11-13 22:44 abma Note Edited: 0012114 View Revisions
2013-11-13 23:05 Kloot Note Added: 0012122
2013-11-13 23:39 abma Note Added: 0012123
2013-11-13 23:39 abma Status feedback => assigned
2013-11-14 00:04 Kloot Note Added: 0012125
2013-11-14 00:13 abma Assigned To abma =>
2013-11-14 00:13 abma Status assigned => new
2013-11-14 03:50 Kloot Note Added: 0012129
2013-11-14 03:51 Kloot Note Edited: 0012129 View Revisions
2013-11-19 02:54 zwzsg Note Added: 0012177
2013-11-19 05:47 abma Relationship added parent of 0004139
2013-11-20 19:53 Kloot Changeset attached => spring develop e84a142a
2013-11-20 19:53 Kloot Assigned To => Kloot
2013-11-20 19:53 Kloot Status new => resolved
2013-11-20 19:53 Kloot Resolution no change required => fixed
+Issue History